import { Component, h, Event, Prop } from '@stencil/core';
export class SSaqhanHeaderApp {
    constructor() {
        /**
         * массив меню для вывода
         */
        this.menu = [];
    }
    render() {
        return (h("div", { class: "container" },
            h("div", { class: "row" },
                h("div", { class: "col" },
                    h("header", null,
                        h("nav", { class: "navbar navbar-expand-lg navbar-light p-0 d-flex justify-content-between" },
                            h("a", { onClick: () => { this.clickToLogo.emit(); }, class: "navbar-brand" },
                                h("img", { src: this.logoUrl })),
                            h("button", { class: "navbar-toggler", type: "button", "data-toggle": "collapse", "data-target": "#navbarSupportedContent", "aria-controls": "navbarSupportedContent", "aria-expanded": "false", "aria-label": "Toggle navigation" },
                                h("span", { class: "navbar-toggler-icon" })),
                            h("div", { class: "collapse navbar-collapse justify-content-around align-items-center", id: "navbarSupportedContent" },
                                h("ul", { class: "navbar-nav m-auto" }, this.menu.map((item) => {
                                    return (h("li", { class: "nav-item", onClick: () => this.clickOnMenu.emit(item) },
                                        h("a", { class: "nav-link header active" }, item.name)));
                                })),
                                h("a", { href: "#", class: "pr-4" },
                                    h("i", { class: "fas fa-search" })),
                                h("form", { class: "form" },
                                    h("div", { class: "input-group" },
                                        h("input", { type: "text", class: "form-control rounded", placeholder: "Enter work email" }),
                                        h("div", { class: "input-group-append" },
                                            h("button", { class: "btn btn-primary btn-custom-head", type: "submit", onClick: () => this.clickOnSubscribeButton.emit() }, this.subscribeText)))))))))));
    }
    static get is() { return "s-saqhan-header-app"; }
    static get originalStyleUrls() { return {
        "$": ["s-saqhan-header-app.css"]
    }; }
    static get styleUrls() { return {
        "$": ["s-saqhan-header-app.css"]
    }; }
    static get properties() { return {
        "menu": {
            "type": "unknown",
            "mutable": false,
            "complexType": {
                "original": "SSaqhanHedearMenuItem[]",
                "resolved": "SSaqhanHedearMenuItem[]",
                "references": {
                    "SSaqhanHedearMenuItem": {
                        "location": "local"
                    }
                }
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "\u043C\u0430\u0441\u0441\u0438\u0432 \u043C\u0435\u043D\u044E \u0434\u043B\u044F \u0432\u044B\u0432\u043E\u0434\u0430"
            },
            "defaultValue": "[]"
        },
        "logoUrl": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "string",
                "resolved": "string",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "\u0441\u0441\u044B\u043B\u043A\u0430 \u043D\u0430 \u0438\u0437\u043E\u0431\u0440\u0430\u0436\u0435\u043D\u0438\u0435 \u043B\u043E\u0433\u043E\u0442\u0438\u043F\u0430"
            },
            "attribute": "logo-url",
            "reflect": false
        },
        "subscribeText": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "string",
                "resolved": "string",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "\u0442\u0435\u043A\u0441\u0442 \u0432\u044B\u0432\u043E\u0434\u0430 \u0432 \u043A\u043D\u043E\u043F\u043A\u0435 \u043F\u043E\u0434\u043F\u0438\u0441\u0430\u0442\u044C\u0441\u044F"
            },
            "attribute": "subscribe-text",
            "reflect": false
        }
    }; }
    static get events() { return [{
            "method": "clickOnMenu",
            "name": "clickOnMenu",
            "bubbles": true,
            "cancelable": true,
            "composed": true,
            "docs": {
                "tags": [],
                "text": "\u043A\u043B\u0438\u043A \u043F\u043E \u043A\u043E\u043D\u043A\u0440\u0435\u0442\u043D\u043E\u043C\u0443 \u043C\u0435\u043D\u044E"
            },
            "complexType": {
                "original": "SSaqhanHedearMenuItem",
                "resolved": "SSaqhanHedearMenuItem",
                "references": {
                    "SSaqhanHedearMenuItem": {
                        "location": "local"
                    }
                }
            }
        }, {
            "method": "clickOnSubscribeButton",
            "name": "clickOnSubscribeButton",
            "bubbles": true,
            "cancelable": true,
            "composed": true,
            "docs": {
                "tags": [],
                "text": "\u043A\u043B\u0438\u043A \u043F\u043E \u043A\u043D\u043E\u043F\u043A\u0435 \u043F\u043E\u0434\u043F\u0438\u0441\u0430\u0442\u044C\u0441\u044F"
            },
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            }
        }, {
            "method": "clickToLogo",
            "name": "clickToLogo",
            "bubbles": true,
            "cancelable": true,
            "composed": true,
            "docs": {
                "tags": [],
                "text": "\u043A\u043B\u0438\u043A \u043F\u043E \u043B\u043E\u0433\u043E"
            },
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            }
        }]; }
}
