import { Component, h } from "@stencil/core";
import { blogCarouselMock, blogPost, popularNews, events } from "../../utils/mock";
export class SSaqhanComponent {
    constructor() {
        this.menu = [
            {
                id: 'home-menu',
                name: 'Home'
            },
            {
                id: 'second-page',
                name: 'Second Page'
            },
            {
                id: 'list-items',
                name: 'List Items'
            },
            {
                id: 'online-chat',
                name: 'Online Chat'
            },
            {
                id: 'custem-stories',
                name: 'Customer Stories'
            }
        ];
        this.logo = 'https://saqhan.github.io/wibbitz/assets/img/logo.jpg';
        this.subscribeText = 'Subscribe';
    }
    render() {
        return (h("div", null,
            h("s-saqhan-header-app", { menu: this.menu, subscribeText: this.subscribeText, logoUrl: this.logo, onClickOnMenu: (item) => { console.log('clickOnMenu', item); } }),
            h("s-saqhan-first-slider", { blogCarouselMock: blogCarouselMock }),
            h("s-saqhan-new-blog", { blogPost: blogPost }),
            h("s-saqhan-popular-news", { popularNews: popularNews }),
            h("s-saqhan-events-blog", { events: events }),
            h("s-saqhan-subsc-banner", null),
            h("s-saqhan-app-footer", null),
            h("s-saqhan-chat-app", null)));
    }
    static get is() { return "s-saqhan-component"; }
    static get originalStyleUrls() { return {
        "$": ["s-saqhan-component.css"]
    }; }
    static get styleUrls() { return {
        "$": ["s-saqhan-component.css"]
    }; }
}
